public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
* [tests/selinux] pr775-checkpolicy-revdeps: RHIVOS adaptations
@ 2026-09-11 13:21 bgrech
0 siblings, 0 replies; only message in thread
From: bgrech @ 2026-09-11 13:21 UTC (permalink / raw)
To: git-commits
A new commit has been pushed.
Repo : tests/selinux
Branch : pr775-checkpolicy-revdeps
Commit : 794e0665990ff1cfb7226c251fa6718a275f27be
Author : bgrech <bgrech@redhat.com>
Date : 2024-06-13T12:21:44+00:00
Stats : +5/-1 in 1 file(s)
URL : https://src.fedoraproject.org/tests/selinux/c/794e0665990ff1cfb7226c251fa6718a275f27be?branch=pr775-checkpolicy-revdeps
Log:
RHIVOS adaptations
Modify sysd rfkill tests to run kernel-modules install specifically for kernel-automotive in the appropriate system under test
---
diff --git a/selinux-policy/systemd-rfkill-and-similar/runtest.sh b/selinux-policy/systemd-rfkill-and-similar/runtest.sh
index 4782814..793993a 100755
--- a/selinux-policy/systemd-rfkill-and-similar/runtest.sh
+++ b/selinux-policy/systemd-rfkill-and-similar/runtest.sh
@@ -47,7 +47,11 @@ rlJournalStart
rlAssertRpm ${SERVICE_PACKAGE}
rlRun "rpm -qa kernel\*"
rlRun "uname -r"
- rlRun "yum -y install kernel-modules-`uname -r`"
+ if ! rlCheckRpm kernel-automotive ; then
+ rlRun "yum -y install kernel-modules-`uname -r`"
+ else
+ rlRun "dnf -y install kernel-automotive-modules-`uname -r`"
+ fi
rlServiceStop ${SERVICE_NAME}
rlFileBackup /etc/shadow
^ permalink raw reply related [flat|nested] only message in thread
only message in thread, other threads:[~2026-09-11 13:21 UTC | newest]
Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2026-09-11 13:21 [tests/selinux] pr775-checkpolicy-revdeps: RHIVOS adaptations bgrech
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox